Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.GIOP
Class SystemExceptionReplyBody

    java.lang.Object
      |
      +--org.omg.GIOP.SystemExceptionReplyBody

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class SystemExceptionReplyBody
extends java.lang.Object
implements IDLEntity

Struct definition : SystemExceptionReplyBody

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`int` | `completion_status` Struct member completion_status
`java.lang.String` | `exception_id` Struct member exception_id
`int` | `minor_code_value` Struct member minor_code_value

Constructor Summary
`SystemExceptionReplyBody()` Default constructor
`SystemExceptionReplyBody(java.lang.String exception_id, int minor_code_value, int completion_status)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exception_id

    public java.lang.String exception_id

  Struct member exception_id

### minor_code_value

    public int minor_code_value

  Struct member minor_code_value

### completion_status

    public int completion_status

  Struct member completion_status

Constructor Detail

### SystemExceptionReplyBody

    public SystemExceptionReplyBody()

  Default constructor

### SystemExceptionReplyBody

    public SystemExceptionReplyBody(java.lang.String exception_id,
                                    int minor_code_value,
                                    int completion_status)

  Constructor with fields initialization
  Parameters:
    `exception_id` - exception_id struct member
    `minor_code_value` - minor_code_value struct member
    `completion_status` - completion_status struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD